WhitespaceTokenizer (Lucene 2.4.1 API)
Keywords: org.apache.lucene.analysis.WhitespaceTokenizer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis
Class WhitespaceTokenizer

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.Tokenizer
              org.apache.lucene.analysis.CharTokenizer
                  org.apache.lucene.analysis.WhitespaceTokenizer

    public class WhitespaceTokenizer

extends CharTokenizer

A WhitespaceTokenizer is a tokenizer that divides text at whitespace. Adjacent sequences of non-Whitespace characters form tokens.

Field Summary

Fields inherited from class org.apache.lucene.analysis.Tokenizer
`input`

Constructor Summary
`WhitespaceTokenizer(Reader in)` Construct a new WhitespaceTokenizer.

Method Summary
`protected boolean` | `isTokenChar(char c)` Collects only characters which do not satisfy `Character.isWhitespace(char)`.

Methods inherited from class org.apache.lucene.analysis.CharTokenizer
`next, normalize, reset`

Methods inherited from class org.apache.lucene.analysis.Tokenizer
`close`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WhitespaceTokenizer

    public WhitespaceTokenizer(Reader in)

  Construct a new WhitespaceTokenizer.

Method Detail

### isTokenChar

    protected boolean isTokenChar(char c)

  Collects only characters which do not satisfy `Character.isWhitespace(char)`.

  Specified by:
    `isTokenChar` in class `CharTokenizer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.